Update an existing collection
PATCH
/collections/{id}
const url = 'https://antimony.example.com/api/collections/example';const options = { method: 'PATCH', headers: {Authorization: 'Basic <credentials>', 'Content-Type': 'application/json'}, body: '{"name":"example","publicDeploy":true,"publicWrite":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://antimony.example.com/api/collections/example \ --header 'Authorization: Basic <credentials>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "publicDeploy": true, "publicWrite": true }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
The ID of the collection to edit
Request Body
Section titled “Request Body”A partial collection with updated values
Media typeapplication/json
object
name
string
publicDeploy
boolean
publicWrite
boolean
Example generated
{ "name": "example", "publicDeploy": true, "publicWrite": true}Responses
Section titled “Responses”OK
Media typeapplication/json
The user isn’t authorized
Media typeapplication/json
Access to the resource was denied. Details in the request body.
Media typeapplication/json
object
code
integer
message
string
Example generated
{ "code": 1, "message": "example"}The request was invalid. Details in the response body.
Media typeapplication/json
object
code
integer
message
string
Example generated
{ "code": 1, "message": "example"}The provided access token is not valid
Media typeapplication/json